---
title: "Scanning API"
canonical: https://documentation.maventa.com/api-specification/rest-api/scanning-api/
---

The Scanning API lets you activate and manage Maventa's invoice scanning services. When e-invoicing isn't possible, scanning handles PDF (and paper invoices) and delivers them through the same pipeline as e-invoices. Supported services include Scan Network (OCR with manual validation) and AutoScan (automated, machine learning-based processing).

For a full overview of available scanning services and country support, see the [scanning integration guide](https://documentation.maventa.com/integration-guide/invoice-receiving/scanning/).

## API endpoints

### GET /v1/services/autoscan

Current AutoScan configuration

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Show AutoScan configuration | `AutoScan_HttpApi_Entities_AutoScanConfiguration` |
| 503 | Service unavailable. Try again later. |  |

### PUT /v1/services/autoscan

Activates AutoScan

**Request body**

Schema: `putV1ServicesAutoscan`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| return_email_address | `string` | no | Return email address for unscannable documents |
| features | `object` | no |  |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Show activated AutoScan configuration | `AutoScan_HttpApi_Entities_AutoScanConfiguration` |
| 503 | Service unavailable. Try again later. |  |

### DELETE /v1/services/autoscan

Deactivates AutoScan

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 204 | AutoScan deactivated |  |
| 503 | Service unavailable. Try again later. |  |

### GET /v1/services/scan

Current Scan configuration

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Show scan configuration | `Scan_HttpApi_Entities_ScanConfiguration` |
| 401 | Unauthorized |  |
| 500 | Service unavailable. Try again later. |  |

### POST /v1/services/scan

Activate scan account

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| return_address[email_address] | formData | string | no |  |
| return_address[postal_address][street_name] | formData | string | no |  |
| return_address[postal_address][extra_lines] | formData | array[string] | no |  |
| return_address[postal_address][city] | formData | string | no |  |
| return_address[postal_address][post_code] | formData | string | no |  |
| return_address[postal_address][country_code] | formData | string | no |  |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Activate scan account |  |
| 400 | Bad request |  |
| 401 | Unauthorized |  |
| 500 | Service unavailable. Try again later. |  |

### PUT /v1/services/scan

Update scan account

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| return_address[email_address] | formData | string | no |  |
| return_address[postal_address][street_name] | formData | string | no |  |
| return_address[postal_address][extra_lines] | formData | array[string] | no |  |
| return_address[postal_address][city] | formData | string | no |  |
| return_address[postal_address][post_code] | formData | string | no |  |
| return_address[postal_address][country_code] | formData | string | no |  |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Update scan account |  |
| 400 | Bad request |  |
| 401 | Unauthorized |  |
| 500 | Service unavailable. Try again later. |  |

### DELETE /v1/services/scan

Deactivate scan account

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 204 | Scan account deleted |  |
| 401 | Unauthorized |  |
| 400 | Bad request |  |
| 404 | Scan account not found |  |
| 500 | Service unavailable. Try again later. |  |

### POST /v1/company/suppliers/query

[EXPERIMENTAL] Query suppliers that could send e-invoices instead PDFs

**Request body**

Schema: `postV1CompanySuppliersQuery`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| include_notified | `boolean` | no | Include already notified suppliers |
| oldest_invoice_time | `string` | no | How far back to see for sent PDFss. Max 1 month. In ISO8601 format |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 201 | Creating query was successful | `Suppliers_HttpApi_Entities_SuppliersQueryResult` |
| 400 | Bad request | `API_Entities_Error` |
| 401 | Unauthorized | `API_Entities_Error` |
| 404 | Resource not found or you don't have access to it | `API_Entities_Error` |

### POST /v1/company/suppliers/notifications

[EXPERIMENTAL] Create and send notifications to suppliers

Sends notification emails to listed suppliers

**Request body**

Schema: `postV1CompanySuppliersNotifications`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| suppliers | `array[object]` | yes | Suppliers related functions |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 201 | Request successful, possible failures listed on the response | `Suppliers_HttpApi_Entities_SuppliersNotificationResult` |
| 400 | Bad request |  |
| 401 | Unauthorized |  |
| 409 | Expected company data missing |  |

### GET /v1/partner/scan_service/lyanthe

[EXPERIMENTAL] Fetch Lyanthe scan service information

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| company_id | query | string | yes | Company id |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | [EXPERIMENTAL] Fetch Lyanthe scan service information | `API_Entities_ScanService` |

### POST /v1/partner/scan_service/lyanthe

[EXPERIMENTAL] Mark Lyanthe scan service as active.

**Request body**

Schema: `postV1PartnerScanServiceLyanthe`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| company_id | `string` | yes | Company id |
| lyanthe_email_address | `string` | yes | Lyanthe scan email address |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 204 |  |  |

### DELETE /v1/partner/scan_service/lyanthe

[EXPERIMENTAL] Mark Lyanthe scan service as inactive

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| company_id | query | string | yes | Company id |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 204 |  |  |


_OpenAPI spec snapshot: 2026-05-06_
